<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio_4</title>
</head>
<body>
    <h1>Ejercicio 4</h1>
    <script>
    /*4)Programa una función que repita un texto X veces, pe. 
    miFuncion('Hola Mundo', 3) devolverá Hola Mundo Hola Mundo Hola Mundo.*/

    /*const repetirText = (cadena = " ", num) => {
        for ( var i = 0; i < num; i++) {
            console.log(cadena);
        }
    }*/

    const repetirText = (cadena = "", num) => {
        if (!cadena) return console.warn("No se ingreso un texto");
        if (num === undefined) return console.warn("No se ingreso un numero para repetir el texto");
        if (num === 0) return console.error("El numero no debe ser 0");
        if (Math.sign(num) === -1) return console.error("El numero no debe ser negativo");

        for ( var i = 1; i <= num; i++) {
            console.log(`${cadena}, ${i}`);
        }
    }
    
    repetirText("hola mundo", 3);

    </script>
    
</body>
</html>